import * as React from "react";
import { cn } from "@/lib/utils";
import {} from "lucide-react";
import {
  NavigationMenu,
  NavigationMenuItem,
  NavigationMenuLink,
  NavigationMenuList,
  navigationMenuTriggerStyle,
} from "@/components/ui/navigation-menu";
import { HashLink } from "react-router-hash-link";
import { useNavigate } from "react-router-dom";

// const components: { title: string; href: string; description: string }[] = [
//   {
//     title: 'Programs List',
//     href: '/programs',
//     description:
//       'A list of programs that are available to the user to view and interact with.',
//   },
//   {
//     title: 'Programs List',
//     href: '/programs',
//     description:
//       'A list of programs that are available to the user to view and interact with.',
//   },
//   {
//     title: 'Programs List',
//     href: '/programs',
//     description:
//       'A list of programs that are available to the user to view and interact with.',
//   },
//   {
//     title: 'Programs List',
//     href: '/programs',
//     description:
//       'A list of programs that are available to the user to view and interact with.',
//   },
//   {
//     title: 'Programs List',
//     href: '/programs',
//     description:
//       'A list of programs that are available to the user to view and interact with.',
//   },
//   {
//     title: 'Programs List',
//     href: '/programs',
//     description:
//       'A list of programs that are available to the user to view and interact with.',
//   },
// ];

export default function NavBar({ mobile = false }: { mobile?: boolean }) {
  const navigate = useNavigate();
  return (
    <NavigationMenu
      className={mobile ? "lg:hidden max-h-max pt-8 px-4 bg-white" : ""}
    >
      <NavigationMenuList className={mobile ? "flex flex-col items-start" : ""}>
        <NavigationMenuItem>
          <NavigationMenuLink
            href="https://snai3i.org/"
            target="_blank"
            className={navigationMenuTriggerStyle()}
          >
            Home
          </NavigationMenuLink>
        </NavigationMenuItem>
        <NavigationMenuItem>
          <NavigationMenuLink href="/" className={navigationMenuTriggerStyle()}>
            Market
          </NavigationMenuLink>
        </NavigationMenuItem>
        <NavigationMenuItem>
          <div className={navigationMenuTriggerStyle() + " cursor-pointer"}>
            <HashLink to="/#courses">Courses</HashLink>
          </div>
        </NavigationMenuItem>
        <NavigationMenuItem>
          <div className={navigationMenuTriggerStyle() + " cursor-pointer"}>
            <HashLink to="/#testimonials">Testimonials</HashLink>
          </div>
        </NavigationMenuItem>

        {/* <NavigationMenuItem>
          <NavigationMenuTrigger>Programs</NavigationMenuTrigger>
          <NavigationMenuContent>
            <ul className="grid w-[400px] gap-3 p-4 md:w-[500px] md:grid-cols-2 lg:w-[600px] ">
              {components.map((component) => (
                <ListItem
                  key={component.title}
                  title={component.title}
                  href={component.href}
                >
                  {component.description}
                </ListItem>
              ))}
            </ul>
          </NavigationMenuContent>
        </NavigationMenuItem> */}
        {mobile && (
          <NavigationMenuItem className="py-3 pl-3">
            <NavigationMenuLink
              onClick={() => navigate("/login")}
              className={
                " text-white shadow  bg-primaryMarket hover:bg-primaryMarket/80 py-2 px-8 rounded-full"
              }
            >
              Login
            </NavigationMenuLink>
          </NavigationMenuItem>
        )}
      </NavigationMenuList>
    </NavigationMenu>
  );
}

const ListItem = React.forwardRef<
  React.ElementRef<"a">,
  React.ComponentPropsWithoutRef<"a">
>(({ className, title, children, ...props }, ref) => {
  return (
    <li>
      <NavigationMenuLink asChild>
        <a
          ref={ref}
          className={cn(
            "block select-none space-y-1 rounded-md p-3 leading-none no-underline outline-none transition-colors hover:bg-accent hover:text-accent-foreground focus:bg-accent focus:text-accent-foreground",
            className
          )}
          {...props}
        >
          <div className="text-sm font-medium leading-none">{title}</div>
          <p className="line-clamp-2 text-sm leading-snug text-muted-foreground">
            {children}
          </p>
        </a>
      </NavigationMenuLink>
    </li>
  );
});
ListItem.displayName = "ListItem";
